package com.liquidnet.service.platform.controller.smile;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.platform.service.impl.kylin.DataImpl;
import com.liquidnet.service.platform.service.impl.smile.SellDataInfoImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = "销量数据")
@RestController
@RequestMapping("sell")
public class SellDataController {

    @Autowired
    private DataImpl data;
    @Autowired
    private SellDataInfoImpl sellDataInfo;

    @PostMapping("sellData")
    @ApiOperation("销量数据列表")
    public ResponseDto<Boolean> sellData() {
        sellDataInfo.setData();
        return ResponseDto.success();
    }
    @PostMapping("commissionData")
    @ApiOperation("佣金")
    public ResponseDto<Boolean> commissionData() {
        sellDataInfo.setCommission();
        return ResponseDto.success();
    }

    public static void main(String[] args) {
        String s="img,`name`,`uid`,birthday,sex,phone,province_id,province,city_id,city,area_id,area,address,wechat,`type`,org_id,id_card,school_name,school_major,`identity`,tag,agent,error_reason,introduce,specialty1,specialty2,specialty3,`state`,del_tag,created_date,updated_date,school_id";
        System.out.println(s.split(",").length);
        String s1="?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,0,?,?,?,?";
        System.out.println(s1.split(",").length);
    }


}
